unit main;
{$ifdef FPC}{$mode objfpc}{$h+}{$endif}
interface
uses
 msetypes,mseglob,mseguiglob,mseguiintf,mseapplication,msestat,msemenus,msegui,
 msegraphics,msegraphutils,mseevent,mseclasses,msewidgets,mseforms,msegrids,
 msestrings,msesimplewidgets;

type
 tmainfo = class(tmainform)
   sgTest: tstringgrid;
   btnTest: tbutton;
   procedure btnTestOnExecute(const sender: TObject);
 end;
var
 mainfo: tmainfo;
implementation
uses
 main_mfm;
procedure tmainfo.btnTestOnExecute(const sender: TObject);
var
	sData : array [0..1] of msestring;
begin
	showmessage ('loading string grid');
	sgTest.rowcount := 0;
	sData [0] := 'row 0';
	sData [1] := '0';
	sgTest.appendrow (sData);
	sData [0] := 'row 1';
	sData [1] := '1';
	sgTest.appendrow (sData);
	sData [0] := 'row 2';
	sData [1] := '2';
	sgTest.appendrow (sData);
	showmessage ( 'setting rowcount := 0');
	sgTest.rowcount := 0;
	showmessage ('loading string grid');
	sData [0] := 'row 0';
	sData [1] := '0';
	sgTest.appendrow (sData);
	showmessage ('test complete');	
end;

end.
